Update Booking Tables
curl --request PATCH \
--url https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatetables \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"tables": [
{
"name": "<string>",
"section": "<string>"
}
],
"allowTableBookingConflict": true
}
'import requests
url = "https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatetables"
payload = {
"tables": [
{
"name": "<string>",
"section": "<string>"
}
],
"allowTableBookingConflict": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tables: [{name: '<string>', section: '<string>'}],
allowTableBookingConflict: true
})
};
fetch('https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatetables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Bookings
PATCH /Bookings/{bookingId}/updatetables
Update the tables assigned to an existing booking.
PATCH
/
Bookings
/
{bookingId}
/
updatetables
Update Booking Tables
Update the tables assigned to an existing booking.
string
required
Your API key
string
required
Must be
application/jsonstring
required
The NowBookIt Booking ID to update
array
required
List of table objects to assign. Each object requires
name (string) — table name as in NowBookIt, and section (string) — section name.boolean
Allow assigning tables that are already booked. Default:
false.Use
GET /Bookings/tables to retrieve available table names and section names.curl --location --request PATCH '[BASE_URL]/Bookings/{bookingId}/updatetables' \
--header 'X-API-KEY: your_api_key_here' \
--header 'Content-Type: application/json' \
--data '{ "tables": [{ "name": "Table 5", "section": "Main" }], "allowTableBookingConflict": false }'
| Status | Description |
|---|---|
200 | Tables updated |
400 | ModelState validation errors |
400 | API key not associated with a venue |
400 | No tables provided |
400 | {tables} contains duplicate table entries |
400 | No Venue Subscribed to your App. |
400 | Result error message from NowBookIt |
401 | X-API-KEY missing or invalid |
500 | Internal server error |
Authorizations
Headers
API Key authentication header
Path Parameters
Body
application/json
Response
Update Booking Tables from POS
⌘I